/*! Copyright 2023-2025 the gnablib contributors MPL-1.1 */
import { U64, U64MutArray } from '../primitive/number/U64.js';
import { AHashsum32 } from './_AHashsum.js';
export declare class SpookyShort extends AHashsum32 {
    protected readonly seed: U64;
    protected readonly seed2: U64;
    protected readonly _state: U64MutArray;
    private readonly _b64;
    constructor(seed?: U64, seed2?: U64);
    protected hash(): void;
    private final;
    clone(): SpookyShort;
    sumIn(): Uint8Array<ArrayBuffer>;
}
export declare class SpookyLong extends AHashsum32 {
    protected readonly seed: U64;
    protected readonly seed2: U64;
    private readonly _state;
    private readonly _b64;
    constructor(seed?: U64, seed2?: U64);
    protected hash(): void;
    private finalPartial;
    private final;
    clone(): SpookyLong;
    sumIn(): Uint8Array<ArrayBuffer>;
}
export declare class Spooky extends SpookyShort {
    private _l;
    private _long;
    constructor(seed?: U64, seed2?: U64);
    write(data: Uint8Array): void;
    clone(): Spooky;
    sum(): Uint8Array;
    sumIn(): Uint8Array;
}
