/*! Copyright 2025 the gnablib contributors MPL-1.1 */
import { IHashsum } from "./interfaces/IChecksum.js";
export declare abstract class _AHashsum implements IHashsum {
    readonly size: number;
    protected _bPos: number;
    protected readonly _b8: Uint8Array;
    constructor(size: number, blockSize: number);
    get blockSize(): number;
    protected abstract hash(): void;
    write(data: Uint8Array): void;
    abstract clone(): IHashsum;
    abstract sumIn(): Uint8Array;
    sum(): Uint8Array;
}
export declare abstract class AHashsum32 extends _AHashsum {
    protected _ingestBytes: number;
    write(data: Uint8Array): void;
}
