/*! Copyright 2023-2024 the gnablib contributors MPL-1.1 */
import type { IReadArray } from '../primitive/interfaces/IReadArray.js';
import type { U64, U64MutArray } from '../primitive/number/U64.js';
export declare const hex: {
    fromByte: (byte: number) => string;
    toByte: (hex: string) => number;
    fromI32Compress: (u32: number) => string;
    fromI32: (i32: number) => string;
    fromBytes: (bytes: Uint8Array | Int8Array | IReadArray<Uint8Array> | IReadArray<Int8Array>) => string;
    fromU16s: (u16s: Uint16Array | Int16Array | IReadArray<Uint16Array> | IReadArray<Int16Array>, join?: string) => string;
    fromU32s: (u32s: Uint32Array | Int32Array | IReadArray<Uint32Array> | IReadArray<Int32Array>, join?: string) => string;
    fromU64: (u64: U64) => string;
    fromU64a: (u64a: U64MutArray, join?: string) => string;
    toBytes: (hex: string, ignore?: string) => Uint8Array;
};
