/*! Copyright 2023-2025 the gnablib contributors MPL-1.1 */
import { Aes } from '../sym/Aes.js';
import type { IHash } from '../interfaces/IHash.js';
export declare class Cmac implements IHash {
    #private;
    readonly blockSize = 16;
    readonly size = 16;
    private readonly _aes;
    private readonly _k1;
    private readonly _k2;
    private _bPos;
    constructor(key: Uint8Array);
    protected constructor(crypt: Aes);
    write(data: Uint8Array): void;
    sum(): Uint8Array;
    sumIn(): Uint8Array;
    reset(): void;
    newEmpty(): IHash;
    clone(): IHash;
}
