/*! Copyright 2025 the gnablib contributors MPL-1.1 */
import { IBlockCrypt } from '../interfaces/IBlockCrypt.js';
declare abstract class AAria {
    #private;
    readonly blockSize = 16;
    readonly rounds: number;
    constructor(rounds: number, key: Uint8Array, ck1: Uint8Array, ck2: Uint8Array, ck3: Uint8Array);
    private _encBlock;
    private _decBlock;
    decryptBlock(block: Uint8Array, offset?: number): void;
    encryptBlock(block: Uint8Array, offset?: number): void;
}
export declare class Aria128 extends AAria implements IBlockCrypt {
    constructor(key: Uint8Array);
}
export declare class Aria192 extends AAria implements IBlockCrypt {
    constructor(key: Uint8Array);
}
export declare class Aria256 extends AAria implements IBlockCrypt {
    constructor(key: Uint8Array);
}
export {};
