/*! Copyright 2025 the gnablib contributors MPL-1.1 */
import { IBlockCrypt } from '../interfaces/IBlockCrypt.js';
declare abstract class ALea {
    #private;
    readonly blockSize = 16;
    readonly rounds: number;
    constructor(rounds: number, keys: Uint32Array[]);
    private _encBlock;
    private _decBlock;
    decryptBlock(block: Uint8Array, offset?: number): void;
    encryptBlock(block: Uint8Array, offset?: number): void;
}
export declare class Lea128 extends ALea implements IBlockCrypt {
    constructor(key: Uint8Array);
}
export declare class Lea192 extends ALea implements IBlockCrypt {
    constructor(key: Uint8Array);
}
export declare class Lea256 extends ALea implements IBlockCrypt {
    constructor(key: Uint8Array);
}
export {};
