/*! Copyright 2025 the gnablib contributors MPL-1.1 */
import { IBlockCrypt } from '../interfaces/IBlockCrypt.js';
declare class Serpent64bit {
    #private;
    readonly blockSize = 16;
    constructor(key: Uint8Array);
    private _encBlock;
    private _decBlock;
    encryptBlock(block: Uint8Array, offset?: number): void;
    decryptBlock(block: Uint8Array, offset?: number): void;
}
export declare class Serpent_128 extends Serpent64bit implements IBlockCrypt {
    constructor(key: Uint8Array);
}
export declare class Serpent_192 extends Serpent64bit implements IBlockCrypt {
    constructor(key: Uint8Array);
}
export declare class Serpent_256 extends Serpent64bit implements IBlockCrypt {
    constructor(key: Uint8Array);
}
export {};
