/*! Copyright 2023-2025 the gnablib contributors MPL-1.1 */
import { IBlockCrypt } from '../interfaces/IBlockCrypt.js';
declare class Simon32bit {
    #private;
    readonly blockSize = 8;
    readonly rounds: number;
    constructor(rounds: number, rk: Uint32Array);
    private _encBlock;
    private _decBlock;
    encryptBlock(block: Uint8Array, offset?: number): void;
    decryptBlock(block: Uint8Array, offset?: number): void;
}
export declare class Simon64_96 extends Simon32bit implements IBlockCrypt {
    constructor(key: Uint8Array);
}
export declare class Simon64_128 extends Simon32bit implements IBlockCrypt {
    constructor(key: Uint8Array);
}
export {};
