/*! Copyright 2023-2025 the gnablib contributors MPL-1.1 */
import { DateTimeLocal } from '../datetime/dt.js';
import type { TableName } from './TableName.js';
import type { Command } from './types/Command.js';
import type { Plane } from './types/Plane.js';
export declare abstract class ACmd {
    readonly started: DateTimeLocal;
    readonly plane: Plane;
    readonly cmd: Command;
    readonly userId: number;
    readonly table: TableName;
    constructor(userId: number, started: DateTimeLocal, table: TableName, plane: Plane, cmd: Command);
    toJSON(): Record<string, unknown>;
    toBin(extraSpace?: number): Uint8Array;
}
