/*! Copyright 2023 the gnablib contributors MPL-1.1 */
import type { ACudColType } from './types/ACudColType.js';
import { ColName } from './ColName.js';
import { FromBinResult } from '../primitive/FromBinResult.js';
export declare class InsertColDef {
    readonly name: ColName;
    readonly type: ACudColType;
    readonly default: unknown | undefined;
    constructor(name: ColName, type: ACudColType, defValue?: unknown);
    toBin(): Uint8Array;
    toJSON(): Record<string, unknown>;
    static fromBin(bin: Uint8Array, pos?: number): FromBinResult<InsertColDef>;
}
