/*! Copyright 2023-2024 the gnablib contributors MPL-1.1 */
import { FromBinResult } from '../../primitive/FromBinResult.js';
import { ColType } from './ColType.js';
import { ACudColType } from './ACudColType.js';
import type { IValid } from '../interfaces/IValid.js';
import { IProblem } from '../../error/probs/interfaces/IProblem.js';
export declare class Bool extends ACudColType implements IValid<boolean> {
    readonly mysqlType = "tinyint(1)";
    readonly sqliteType = "TINYINT";
    readonly postgresType = "boolean";
    readonly cudType = "bool";
    readonly _colType = ColType.Bool;
    constructor(nullable?: boolean);
    cudByteSize(): number;
    valid(input?: boolean): IProblem | undefined;
    unknownBin(value?: boolean): Uint8Array;
    binUnknown(bin: Uint8Array, pos: number): FromBinResult<boolean | undefined>;
}
