/*! Copyright 2023-2024 the gnablib contributors MPL-1.1 */
import { ColType } from './ColType.js';
import { ACudColType } from './ACudColType.js';
import type { IValid } from '../interfaces/IValid.js';
import { FromBinResult } from '../../primitive/FromBinResult.js';
import { DateTimeLocal } from '../../datetime/dt.js';
import { IProblem } from '../../error/probs/interfaces/IProblem.js';
export declare class DateTimeCol extends ACudColType implements IValid<DateTimeLocal> {
    readonly mysqlType = "BIGINT";
    readonly sqliteType = "INT8";
    readonly postgresType = "timestamp with time zone";
    readonly cudType = "datetime";
    readonly _colType = ColType.DateTime;
    constructor(nullable?: boolean);
    cudByteSize(): number;
    valid(input?: DateTimeLocal): IProblem | undefined;
    unknownBin(value?: DateTimeLocal): Uint8Array;
    binUnknown(bin: Uint8Array, pos: number): FromBinResult<DateTimeLocal | undefined>;
}
