import { IProblem } from './interfaces/IProblem.js';
declare const consoleDebugSymbol: unique symbol;
export declare class ParseProblem implements IProblem {
    readonly noun: string;
    readonly reason: string;
    readonly content?: string | undefined;
    readonly start?: number | undefined;
    readonly end?: number | undefined;
    constructor(noun: string, reason: string);
    constructor(noun: string, reason: string, content: string);
    constructor(noun: string, reason: string, content: string, at: number);
    constructor(noun: string, reason: string, content: string, start: number, end: number);
    renderRange(): string;
    toString(sep?: string): string;
    inColor(): string;
    get name(): string;
    get [Symbol.toStringTag](): string;
    [consoleDebugSymbol](): string;
}
export {};
