/*! Copyright 2024-2025 the gnablib contributors MPL-1.1 */
import { ParseProblem } from '../error/index.js';
import { BitReader } from './BitReader.js';
import { BitWriter } from './BitWriter.js';
import { ISerialBit } from './interfaces/ISerial.js';
import { WindowStr } from './WindowStr.js';
declare const consoleDebugSymbol: unique symbol;
export declare class Bool implements ISerialBit {
    protected _arr: Uint8Array;
    protected _pos: number;
    readonly size8 = 1;
    readonly serialBits = 1;
    protected constructor(_arr: Uint8Array, _pos: number);
    static from(v: number | boolean): Bool;
    static mount(arr: Uint8Array, pos?: number): Bool;
    static deserial(br: BitReader): Bool;
    clone(): Bool;
    toString(): string;
    valueOf(): boolean;
    serial(bw: BitWriter): void;
    get [Symbol.toStringTag](): string;
    [consoleDebugSymbol](): string;
    static parse(src: WindowStr, settings?: {
        allowYes?: boolean;
        allowOn?: boolean;
        preventNumeric?: boolean;
    }): boolean | ParseProblem;
}
export declare class BoolMut extends Bool {
    static from(v: number | boolean): BoolMut;
    static mount(arr: Uint8Array, pos?: number): BoolMut;
    static deserial(br: BitReader): BoolMut;
    set(v: boolean): void;
    [consoleDebugSymbol](): string;
}
export {};
