/*! Copyright 2023 the gnablib contributors MPL-1.1 */
type TypedArrayMutableProperties = 'copyWithin' | 'fill' | 'reverse' | 'set' | 'sort' | 'buffer' | 'subarray';
export * from './ReadonlyTypedArray.js';
export interface ReadonlyBigInt64Array extends Omit<BigInt64Array, TypedArrayMutableProperties> {
    readonly [n: number]: bigint;
}
export interface ReadonlyBigUint64Array extends Omit<BigUint64Array, TypedArrayMutableProperties> {
    readonly [n: number]: bigint;
}
