/*! Copyright 2024 the gnablib contributors MPL-1.1 */
import { BitReader } from '../BitReader.js';
import { BitWriter } from '../BitWriter.js';
import { WindowStr } from '../WindowStr.js';
import { ISerializer } from '../interfaces/ISerializer.js';
declare const consoleDebugSymbol: unique symbol;
export declare class Nano implements ISerializer {
    static readonly storageBytes = 4;
    static readonly serialBits = 30;
    private readonly _v;
    private constructor();
    toString(): string;
    toPadString(): string;
    toJSON(): number;
    valueOf(): number;
    get [Symbol.toStringTag](): string;
    [consoleDebugSymbol](): string;
    serialize(target: BitWriter): void;
    get serialSizeBits(): number;
    validate(): Nano;
    protected fill(storage: Uint8Array): void;
    cloneTo(storage: Uint8Array): Nano;
    protected static writeValue(target: Uint8Array, v: number): void;
    protected static setupStor(storage?: Uint8Array): Uint8Array;
    static new(nano: number, storage?: Uint8Array): Nano;
    protected static parseIntoStorage(input: WindowStr, storage: Uint8Array, strict: boolean, name?: string): void;
    static parse(input: WindowStr, strict?: boolean, storage?: Uint8Array): Nano;
    static deserialize(source: BitReader, storage?: Uint8Array): Nano;
}
export {};
