/*! Copyright 2024 the gnablib contributors MPL-1.1 */
import { BitReader } from '../BitReader.js';
import { BitWriter } from '../BitWriter.js';
import { WindowStr } from '../WindowStr.js';
import { ISerializer } from '../interfaces/ISerializer.js';
declare const consoleDebugSymbol: unique symbol;
export declare class Sexagesimal implements ISerializer {
    static readonly storageBytes = 1;
    static readonly serialBits = 6;
    protected readonly _v: Uint8Array;
    protected constructor(storage: Uint8Array);
    toString(): string;
    toPadString(): string;
    toJSON(): number;
    valueOf(): number;
    serialize(target: BitWriter): void;
    get serialSizeBits(): number;
    validate(): Sexagesimal;
    get [Symbol.toStringTag](): string;
    protected [consoleDebugSymbol](): string;
    protected static setupStor(storage?: Uint8Array): Uint8Array;
    static new(sexa: number, storage?: Uint8Array): Sexagesimal;
    protected static parseIntoStorage(input: WindowStr, storage: Uint8Array, strict: boolean, name?: string): void;
    static parse(input: WindowStr, strict?: boolean, storage?: Uint8Array): Sexagesimal;
    static deserialize(source: BitReader, storage?: Uint8Array): Sexagesimal;
}
export {};
