/*! Copyright 2023-2025 the gnablib contributors MPL-1.1 */
import { U32Mut } from "./U32.js";
declare const consoleDebugSymbol: unique symbol;
export declare class U32MutArray {
    private buf;
    private bufPos;
    private arr;
    protected constructor(buf: Uint32Array, bufPos?: number, len?: number);
    get length(): number;
    at(idx: number): U32Mut;
    set(src: U32MutArray, thisOffset?: number, srcOffset?: number): void;
    xorEq(b: U32MutArray, thisOffset?: number): void;
    zero(thisOffset?: number): void;
    clone(): U32MutArray;
    toString(): string;
    toBytesBE(): Uint8Array;
    toBytesLE(): Uint8Array;
    get [Symbol.toStringTag](): string;
    [consoleDebugSymbol](): string;
    static fromLen(len: number): U32MutArray;
    static fromBytes(buffer: ArrayBuffer, bytePos?: number, byteLen?: number): U32MutArray;
}
export {};
