/*! Copyright 2025 the gnablib contributors MPL-1.1 */
import { IUint } from '../interfaces/IUint.js';
import { AInt } from './_AInt.js';
export declare class U512 extends AInt implements IUint<U512> {
    protected constructor(arr: Uint32Array, pos: number, name?: string);
    static fromInt(i52: number): U512;
    static fromI32s(...ns: number[]): U512;
    static fromBytesBE(src: Uint8Array, pos?: number): U512;
    static mount(arr: Uint32Array, pos?: number): U512;
    clone(): U512;
    lShift(by: number): U512;
    rShift(by: number): U512;
    lRot(by: number): U512;
    rRot(by: number): U512;
    xor(o: U512): U512;
    or(o: U512): U512;
    and(o: U512): U512;
    not(): U512;
    add(o: U512): U512;
    sub(o: U512): U512;
    mul(o: U512): U512;
    eq(o: U512): boolean;
    gt(o: U512): boolean;
    gte(o: U512): boolean;
    lt(o: U512): boolean;
    lte(o: U512): boolean;
    static get zero(): U512;
}
