/*! Copyright 2025 the gnablib contributors MPL-1.1 */
export declare abstract class APrng32<T> {
    protected readonly _state: T;
    readonly saveable: boolean;
    abstract get bitGen(): number;
    abstract get safeBits(): number;
    abstract rawNext(): number;
    protected abstract trueSave(): Uint8Array;
    protected constructor(_state: T, saveable: boolean);
    save(): Uint8Array;
    private _nextU;
    nextBool(): boolean;
    nextByte(): number;
    nextU16(): number;
    nextI16(): number;
    nextU31(): number;
    nextU32(): number;
    seqU32(n?: number): Generator<number, void, unknown>;
    nextI32(): number;
    nextF32(): number;
    nextF64(): number;
    fillBytes(target: Uint8Array): Uint8Array;
}
