/*! Copyright 2024-2025 the gnablib contributors MPL-1.1 */
import { APrng32 } from './APrng32.js';
export declare class Marsaglia extends APrng32<Uint8Array> {
    readonly bitGen = 4;
    readonly safeBits = 3;
    protected trueSave(): Uint8Array<ArrayBuffer>;
    rawNext(): number;
    get [Symbol.toStringTag](): string;
    static new(saveable?: boolean): Marsaglia;
    static seed(seed: number, saveable?: boolean): Marsaglia;
    static restore(state: Uint8Array, saveable?: boolean): Marsaglia;
}
