/*! Copyright 2025 the gnablib contributors MPL-1.1 */
import { U64, U64Mut } from '../primitive/number/U64.js';
import { APrng32 } from './APrng32.js';
export declare class Pcg32 extends APrng32<U64Mut> {
    private readonly _inc;
    readonly bitGen = 32;
    readonly safeBits = 32;
    protected constructor(state: U64Mut, inc: U64, saveable: boolean);
    protected trueSave(): Uint8Array<ArrayBuffer>;
    rawNext(): number;
    get [Symbol.toStringTag](): string;
    static new(saveable?: boolean): Pcg32;
    static seed(seed: U64, inc?: U64, saveable?: boolean): Pcg32;
    static restore(state: Uint8Array, saveable?: boolean): Pcg32;
}
