/*! Copyright 2025 the gnablib contributors MPL-1.1 */
import { U128, U128Mut } from '../primitive/number/U128.js';
import { U64 } from '../primitive/number/U64.js';
import { APrng64 } from './APrng64.js';
export declare class Pcg64 extends APrng64<U128Mut> {
    private readonly _inc;
    private readonly _u64_0;
    private readonly _u64_1;
    readonly bitGen = 64;
    readonly safeBits = 64;
    protected constructor(state: U128Mut, inc: U128, saveable: boolean);
    rawNext(): U64;
    save(): Uint8Array;
    get [Symbol.toStringTag](): string;
    static new(saveable?: boolean): Pcg64;
    static seed(seed: U128, inc?: U128, saveable?: boolean): Pcg64;
    static restore(state: Uint8Array, saveable?: boolean): Pcg64;
}
