/*! Copyright 2024-2025 the gnablib contributors MPL-1.1 */
import { APrng32 } from './APrng32.js';
declare abstract class AXoroshiro64 extends APrng32<Uint32Array> {
    readonly bitGen = 32;
    readonly safeBits = 32;
    protected abstract _gen(): number;
    protected trueSave(): Uint8Array<ArrayBuffer>;
    rawNext(): number;
}
export declare class Xoroshiro64s extends AXoroshiro64 {
    protected _gen(): number;
    get [Symbol.toStringTag](): string;
    static new(saveable?: boolean): Xoroshiro64s;
    static seed(seed0: number, seed1: number, saveable?: boolean): Xoroshiro64s;
    static restore(state: Uint8Array, saveable?: boolean): Xoroshiro64s;
}
export declare class Xoroshiro64ss extends AXoroshiro64 {
    protected _gen(): number;
    get [Symbol.toStringTag](): string;
    static new(saveable?: boolean): Xoroshiro64ss;
    static seed(seed0: number, seed1: number, saveable?: boolean): Xoroshiro64ss;
    static restore(state: Uint8Array, saveable?: boolean): Xoroshiro64ss;
}
export {};
