import { WindowStr } from '../primitive/WindowStr.js';
import { ParseProblem } from '../error/probs/ParseProblem.js';
declare const consoleDebugSymbol: unique symbol;
export declare class StackEntry {
    readonly file: string;
    readonly line: number;
    readonly char: number;
    readonly method: string;
    constructor(file: string, line: number, char: number, method: string);
    v8Style(): string;
    spiderStyle(): string;
    toString(): string;
    inColor(): string;
    get [Symbol.toStringTag](): string;
    [consoleDebugSymbol](): string;
    static parseV8(stackLine: WindowStr): StackEntry | ParseProblem;
    static parseSpider(stackLine: WindowStr): StackEntry | ParseProblem;
}
export {};
